<ion-view cache-view="false">
    <ion-nav-title>{{error.name}} - Erro R#{{error.id}}</ion-nav-title>
    <ion-content class="tools error_detail">
        <div class="row">
            <div class="col">
                <div class="box-sugestao">
                    <p class="text-center">{{error.description}}</p>
                </div>
            </div>
        </div>
        <h2 ng-if="bestSolution.id" class="text-center"><i class="ion-star"></i>MELHOR SOLUÇÃO</h2>
        <div ng-if="bestSolution.id" class="list card best-solution">
            <!-- <div class="item item-body">
                <p ng-bind-html="error.description">

                </p>
                <p>
                    <a ng-if="solutions.length > 0" href="#" class="subdued">{{solutions.length}} Soluções</a>
                    <a ng-if="solutions.length  < 1" href="#" class="subdued">Nehuma Solução</a>
                </p>
            </div> -->
        <div  class="card">
            <a class="item item-avatar" href="#">
                <img ng-if='bestSolution.profile_pic ' src="{{server_url}}profileuploads/{{bestSolution.profile_pic}}">
                <img ng-if='!bestSolution.profile_pic ' src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSf2u0RWmYALKJ431XNoTKjzu77ERLBIvXKlOEA-Q3DPo2h2rCB">
                <h3>
                  {{bestSolution.name}}
                  <button ng-if="bestSolution.user_id == profiledata.userid || profiledata.profileid >= 4"  ng-click="showExcluirBest()"class="button-icon icon ion-android-more-vertical flat pull-right more" ></button>
                  <button class="button button-fab-list ex_solution pull-right"   ng-show="bestSolution.excluir== true;" ng-click="desativaSolution(bestSolution.id)">Excluir</button>
                </h3>
                <p>{{bestSolution.descripition}}</p>
                <h5>{{bestSolution.publish_date |date:"dd/MM/yyyy"}}</h5>
            </a>
            <div class="item item-divider">
                Essa solução foi utíl?
                <span class="like"><i class="icon-thumbs-up" ng-click="addLike(1,{{bestSolution.id}},-1)"></i> {{bestSolution.likes}}</span>
                <span class="deslike"><i class="icon-thumbs-down" ng-click="addLike(0,{{bestSolution.id}},-1)"></i> {{bestSolution.deslikes}}</span>
            </div>
        </div>

        </div>

        <h3 ng-if="solutions.length > 0">Outras Soluções</h3>

        <div class="card" ng-repeat="s in solutions">


          </button>
            <div class="item item-avatar" >
                <img ng-if='s.profile_pic ' src="{{server_url}}profileuploads/{{s.profile_pic}}">
                <img ng-if='!s.profile_pic ' src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSf2u0RWmYALKJ431XNoTKjzu77ERLBIvXKlOEA-Q3DPo2h2rCB">
                <h3>
                  {{s.name}}
                  <button ng-if="s.user_id == profiledata.userid || profiledata.profileid >= 4"  ng-click="showExcluir($index)"class="button-icon icon ion-android-more-vertical flat pull-right more" ></button>
                  <button class="button button-fab-list ex_solution pull-right"   ng-show="solutions[$index].excluir== true;" ng-click="desativaSolution(s.id)">Excluir</button>
              </h3>


                <!-- <button class="button button-fab-list animate-show-hide" >Excluir</button> -->
                <p>{{s.descripition}}</p>
                <h5>{{s.publish_date |date:"dd/MM/yyyy"}}</h5>
            </div>
            <div class="item item-divider">
                Essa solução foi utíl?
                <span class="like"><i class="icon-thumbs-up" ng-click="addLike(1,s.id,$index)"></i> {{s.likes}}</span>
                <span class="deslike"><i class="icon-thumbs-down" ng-click="addLike(0,s.id,$index)"></i> {{s.deslikes}}</span>
            </div>
        </div>
        <ion-list>
            <ion-item>
            <div class="row">
                <div class="col title-solution" ng-if="solutions.length < 1">
                    <h4>CONHECE ALGUMA SOLUÇÃO ?</h4>
                </div>
                <div class="col title-solution" ng-if="solutions.length > 0">
                    <h4>POSSUI OUTRA SOLUÇÃO ?</h4>
                </div>
            </div>
            <div class="row">
                <button class="button btn-solution" ng-click = "openModal()">
                   Sugerir Solução
                </button>
            </div>
            </ion-item>
        </ion-list>
        <br>
        <br>
        <br>
        <br>
        <br>
    </ion-content>
</ion-view>
